• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

how to run in JDK 1.5.1

 
pingkan paula
Ranch Hand
Posts: 117
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi all, I'm using JDK 1.5.1 and I have an error whenever I want to run my swing application using java command, error display that it doesn't have java2 run time environment
Can anyone give some information about this?
 
miguel lisboa
Ranch Hand
Posts: 1281
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
what do you read when you type:
java -version
in your command line?
 
pingkan paula
Ranch Hand
Posts: 117
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
It displayed

Registry Key 'Software\JavaSoft\Java Runtime Environment\CurrentVersion
has value 1.4 but 1.5 is required
Error: Could not find java.dll
Error: Could not find java2 Environment

I had set c:\java\jdk 1.5 in Classpath and c:\java\jdk 1.5\bin in path
 
miguel lisboa
Ranch Hand
Posts: 1281
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
in case you indeed have java 5, java -version should display something like this:
java version "1.5.0_02"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_02-b09)
Java HotSpot(TM) Client VM (build 1.5.0_02-b09, mixed mode, sharing)
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic